<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="FORUM">
		<input type="hidden" name="tab" value="content"/>
		<input type="hidden" name="pageNum" value=""/>
		<input type="hidden" name="pageSize" value=""/>
		<input type="hidden" name="orderBy" value=""/>
		<input type="hidden" name="orderType" value=""/>
		<xsl:apply-templates select="TAB-PANEL"/>
	</xsl:template>

	<xsl:template match="FORUM-CONTENT|FORUM-CATEGORIES">
		<xsl:apply-templates select="TOOLBAR"/>
		<xsl:apply-templates select="PAGED-LIST"/>
	</xsl:template>
	
	<xsl:template match="FORUM-SETTINGS">
		<script type="text/javascript" src="/modules/Forum/js/Edit.js?{$version}.{$build}"></script>
		<script type="text/javascript">document.forms.SB_WizardForm.submit=ForumSubmitSettings;</script>
		<xsl:apply-templates select="CONTROL[@TYPE='INPUT']" mode="TITLE-LEFT">
			<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange()</xsl:with-param>
		</xsl:apply-templates>
		<script type="text/javascript">
			<xsl:apply-templates select="CONTROL[@TYPE='INPUT']" mode="registerFields">
				<xsl:with-param name="card" select="ancestor::TAB-PANEL-CARD/@ID"/>
			</xsl:apply-templates>
		</script>
	</xsl:template>

	<xsl:template match="CONTROL[@TYPE='INPUT']" mode="registerFields">
		<xsl:param name="card"/>
		forum.registerInput('<xsl:value-of select="@ID"/>','<xsl:value-of select="@TITLE"/>','<xsl:value-of select="$card"/>');
	</xsl:template>

</xsl:stylesheet>