<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="FORUM-MODAL-FORM">
	</xsl:template>

	<xsl:template match="FORUM-MODAL-FORM" mode="initAfterBody">
		<xsl:call-template name="MODULE-MODAL-FORM" />
	</xsl:template>

	<xsl:template match="FORUM-MODAL-FORM" mode="content">
		<input type="hidden" name="tab" value="main"/>
		<input type="hidden" name="topicId">
			<xsl:attribute name="value">
				<xsl:value-of select="@TOPIC-ID"/>
			</xsl:attribute>
		</input>
		<xsl:apply-templates select="TAB-PANEL"/>
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>

	<xsl:template match="FORUM-TOPIC-MAIN-CARD">
		<script type="text/javascript" src="/modules/Forum/js/Edit.js?{$version}.{$build}"></script>
		<script type="text/javascript">document.forms.SB_WizardForm.submit=ForumSubmitTopic;</script>
		<table border="0" style="width:100%;" class="SB_Page">
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='subject']" mode="TITLE-LEFT">
						<xsl:with-param name="require">on</xsl:with-param>
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="maxLength">100</xsl:with-param>
					</xsl:apply-templates>
				</td>				
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/TOPIC-DESCRIPTION"/>
					<br/>
					<xsl:apply-templates select="WYSIWYG"/>
				</td>
			</tr>
		</table>
	</xsl:template>	
	
	<xsl:template match="FORUM-TOPIC-CATEGORIES-CARD">
		<xsl:apply-templates select="PAGED-LIST"/>
	</xsl:template>	
	
	<xsl:template match="FORUM-TOPIC-CATEGORIES-CARD/PAGED-LIST/LIST/HEADER">
		<tr class="SBGridViewHeader" align="left" style="height:24px;white-space:nowrap;">	
			<th style="padding-left: 4px; padding-right: 4px;">
				<xsl:value-of select="NAME"/>
			</th>
			<th style="width:1%;text-align:center">
				<input type="checkbox" name="globalCheck" onclick="setCheckboxStatus(this.checked,'topicCategory');"/>
			</th>
		</tr> 
	</xsl:template>
	
	<xsl:template match="FORUM-TOPIC-CATEGORIES-CARD/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class" select="position() mod 2"/>
		<tr class="SB_List_Rrow_{$class}" style="height:24px;">
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<xsl:value-of select="NAME"/>
				</xsl:with-param>
			</xsl:call-template>
			<td class="SB_GridText" style="width:1%;text-align:center;">
				<input type="checkbox" name="topicCategory_objectIds[]">
					<xsl:attribute name="value">
						<xsl:value-of select="ID"/>
					</xsl:attribute>
					<xsl:if test="../../../SELECTED-CATEGORIES/CATEGORY/@ID=ID">
						<xsl:attribute name="checked">true</xsl:attribute>
					</xsl:if>
				</input>
			</td>
		</tr>
	</xsl:template>		
	
</xsl:stylesheet>